OpenVDB: CopyToDense< _TreeT, _DenseT > Class Template Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
CopyToDense< _TreeT, _DenseT > Class Template Reference

Copy an OpenVDB tree into an existing dense grid. More...

`#include <openvdb/tools/Dense.h>`

## Public Types
using | DenseT = _DenseT
using | TreeT = _TreeT
using | ValueT = typename TreeT::ValueType

## Public Member Functions
| CopyToDense (const TreeT &tree, DenseT &dense)
void | copy (bool serial=false) const
void | operator() (const CoordBBox &bbox) const
| Public method called by tbb::parallel_for.

## Detailed Description

template<typename _TreeT, typename _DenseT = Dense<typename _TreeT::ValueType>>
class openvdb::v13_0::tools::CopyToDense< _TreeT, _DenseT >

Copy an OpenVDB tree into an existing dense grid.

Note
  Only voxels that intersect the dense grid's bounding box are copied from the OpenVDB tree. But both active and inactive voxels are copied, so all existing values in the dense grid are overwritten, regardless of the OpenVDB tree's topology.

## Member Typedef Documentation

## ◆ DenseT

template<typename _TreeT, typename _DenseT = Dense<typename _TreeT::ValueType>>

using DenseT = _DenseT

## ◆ TreeT

template<typename _TreeT, typename _DenseT = Dense<typename _TreeT::ValueType>>

using TreeT = _TreeT

## ◆ ValueT

template<typename _TreeT, typename _DenseT = Dense<typename _TreeT::ValueType>>

using ValueT = typename TreeT::ValueType

## Constructor & Destructor Documentation

## ◆ CopyToDense()

template<typename _TreeT, typename _DenseT = Dense<typename _TreeT::ValueType>>

CopyToDense | ( | const TreeT & | tree,
|  | DenseT & | dense )
| inline

## Member Function Documentation

## ◆ copy()

template<typename _TreeT, typename _DenseT = Dense<typename _TreeT::ValueType>>

void copy | ( | bool | serial = false | ) | const
| inline

## ◆ operator()()

template<typename _TreeT, typename _DenseT = Dense<typename _TreeT::ValueType>>

void operator() | ( | const CoordBBox & | bbox | ) | const
| inline

Public method called by tbb::parallel_for.